hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Duo Zhang (Jira)" <j...@apache.org>
Subject [jira] [Updated] (HBASE-23652) Move the unsupported procedure type check before migrating to RegionProcedureStore
Date Fri, 10 Jan 2020 14:37:00 GMT

     [ https://issues.apache.org/jira/browse/HBASE-23652?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Duo Zhang updated HBASE-23652:
------------------------------
    Summary: Move the unsupported procedure type check before migrating to RegionProcedureStore
 (was: Sort out how to handle v2.1 procedures during upgrade)

> Move the unsupported procedure type check before migrating to RegionProcedureStore
> ----------------------------------------------------------------------------------
>
>                 Key: HBASE-23652
>                 URL: https://issues.apache.org/jira/browse/HBASE-23652
>             Project: HBase
>          Issue Type: Task
>          Components: master
>    Affects Versions: 2.2.2
>            Reporter: Nick Dimiduk
>            Assignee: Duo Zhang
>            Priority: Blocker
>             Fix For: 3.0.0, 2.3.0
>
>
> Per [discussion|https://lists.apache.org/thread.html/c5f960e6cf3c89ffbf8f8302afb121462a08fd9a89d384c6795a7b81%40%3Cdev.hbase.apache.org%3E]
on the list, let's figure out how to make the upgrade from a v2.1 procedure store less error-prone.
Could be a simple as documenting runbook steps to execute during the rolling upgrade, but
it would be nice if the software could roll over the data versions gracefully.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message